"""Модуль navigation_panel_locators содержит локаторы навигационной панели.

Класс NavigationPanelLocators предоставляет XPath локаторы для работы
с элементами навигационной панели в тестах.
"""

class NavigationPanelLocators:
    """Локаторы элементов навигационной панели.

    Содержит XPath локаторы для:
    PANEL_MAIN (str): основной панели навигации
    PANEL_SCROLL_CONTAINER (str): контейнера с прокруткой
    ACTIVE_CONTAINER(str): активного контейнера, содержащего открываемые элементы панели навигации
    TREEVIEW(str): корня объекта v-treeview
    NODE(str): узла дерева
    NODE_ROOT (str): корневого узла дерева
    NODE_CHILDREN (str): дочерних элементов узла
    TOGGLE_BUTTON(str): кнопки раскрытия элементов панели навигации
    """

    PANEL_MAIN = "//ul[contains(@class, 'v-expansion-panel')]"
    PANEL_SCROLL_CONTAINER = "//div[contains(@class, 'scrollarea__body') and .//ul[contains(@class, 'v-expansion-panel')]]"

    ACTIVE_CONTAINER = "//li[contains(@class, 'v-expansion-panel__container--active')]"
    SUB_PANEL_MAIN = "//div[contains(@class,'v-expansion-panel__body')]"

    TREEVIEW = "//div[contains(@class,'v-treeview')]"
    NODE = "//div[contains(@class,'v-treeview-node')]"
    NODE_ROOT = "//div[contains(@class,'v-treeview-node__root')]"
    NODE_CHILDREN = "//div[contains(@class,'v-treeview-node__children')]"
    TOGGLE_BUTTON = "//i[contains(@class,'v-treeview-node__toggle')]"
